<?php

/**
 * @file
 * Module Settings
 */

/**
 * Core settings function.
 */
function udcountdown_admin_settings() {

  // Standard Settings
  $form['standard'] = array(
    '#type' => 'fieldset',
    '#title' => t('Standard Settings'),
    '#tree' => FALSE,
  );
  $form['standard']['udcountdown_option'] = array(
    '#type' => 'radios',
    '#title' => t('Display Option'),
    '#default_value' =>  variable_get('udcountdown_option', 1),
    '#options' => udcountdown_list_options(),
    '#description' => t('Which options from the !link to use.',
                      array( '!link' => l(t('coundown collection'), 'http://www.ubuntu.com/getubuntu/countdown'))),
    '#required' => TRUE,
  );
  $form['standard']['udcountdown_custom'] = array(
    '#type' => 'textarea',
    '#title' => t('Custom Code'),
    '#default_value' => variable_get('udcountdown_custom', ''),
    '#description' => t("Use this area to create your custom block of code."),
    '#required' => FALSE,
  );
  $form['cron'] = array(
    '#type' => 'filedset',
    '#title' => t('Cron'),
    '#tree' => FALSE,
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['cron']['udcountdown_cron_time'] = array(
    '#type' => 'textfield',
    '#title' => t('Minimum Cron [minutes]'),
    '#description' => t('Minimum time that can pass between cron executions. ( default: 60 - nice to servers )'),
    '#default_value' => variable_get('udcountdown_cron_time', 60),
    '#required' => TRUE,
  );
  $form['cron']['udcountdown_cron_force'] = array{
  );

  return system_settings_form($form);
}

/**
 * Build list of available options
 */
function udcountdown_list_options() {
  $opts = array();

  $opt = t('Custom Code');
  $opts[] = $opt;

  $handle = fopen(file_directory_path() . '/countdown/data/desc.csv', 'r');
  if ($handle !== FALSE) {
    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
      $opt = t('Option ' . $data[0] . ' - ' . $data[1]);
      $opts[] = $opt;
    }
  }

  return $opts;
}

